]> git.saurik.com Git - redis.git/commitdiff
Added a 'runtest' script that is responsible to check if Tcl is available and run...
authorantirez <antirez@gmail.com>
Fri, 15 Jul 2011 15:20:57 +0000 (17:20 +0200)
committerantirez <antirez@gmail.com>
Fri, 15 Jul 2011 15:20:57 +0000 (17:20 +0200)
runtest [new file with mode: 0755]
src/Makefile

diff --git a/runtest b/runtest
new file mode 100755 (executable)
index 0000000..2ea4d39
--- /dev/null
+++ b/runtest
@@ -0,0 +1,9 @@
+#!/bin/bash
+TCL=tclsh8.5
+which $TCL
+if [ "$?" != "0" ]
+then
+    echo "You need '$TCL' in order to run the Redis test"
+    exit 1
+fi
+$TCL tests/test_helper.tcl $*
index 5354746bd0c7ae3b860b6926ecae653e11e76e69..ee4bfc5001986fa6dee246fcb33b63a43a246273 100644 (file)
@@ -207,7 +207,7 @@ dep:
        $(CC) -MM *.c -I ../deps/hiredis -I ../deps/linenoise
 
 test: redis-server redis-check-aof
-       @(cd ..; (which tclsh8.5 >/dev/null && tclsh8.5 tests/test_helper.tcl --tags "${TAGS}") || echo "You need to install Tcl (tclsh8.5) in order to run tests.")
+       @(cd ..; ./runtest)
 
 bench:
        ./redis-benchmark